﻿kdenlive-install
================

Currently, it is advisable to use the AppImage version on Debian and Ubuntu-based systems:

More details on [kdenlive.org download page](https://kdenlive.org/en/download/) and on
[kdenlive ubuntu ppda page](https://launchpad.net/~kdenlive/+archive/ubuntu/kdenlive-stable).

This script is allows you to install and maintain `kdenlive` up to date on systems based on Ubuntu
(fully tested on `Linux Mint`) using the AppImage version.

The current stable AppImage version is _20.12.1c_.

To install the script, simply download the file and then make it executable.

If you don't want to save the installer on your disk, I also suggest that you use the online version directly:

* Install **kdenlive** for all users: (best choice)

```bash
curl -s https://gitea.cclaude.rocks/installers/kdenlive-install/raw/branch/master/kdenlive-install.sh | sudo bash
```

* Install **kdenlive** for the current user only (sudo not required)

```bash
wget https://gitea.cclaude.rocks/installers/kdenlive-install/raw/branch/master/kdenlive-install.sh --output-document=/tmp/kdenlive-install.sh && bash /tmp/kdenlive-install.sh
```

Then, `kdenlive` is available in your` sound and video` menu.

More options and documentation using:

```bash
bash ./kdenlive-install.sh --help
`` `


Limitations
-----------

* Please note, you need a 64-bit architecture to use the `kdenlive` AppImage.
* You must have enough memory to run `kdenlive`, allow at least 4 GB. If you
consider buying a computer to create large videos, allow at least 16 GB of RAM.


TO DO
-----

* [ ] Allow you to select the version you wish to download and install.
* [ ] Allow to delete everything using this script.


Installation using `apt`
------------------------

First of all, remember that the versions available in the official repositories are quite old.
For technical reasons, it is not possible to install a version felt outside a sandbox.

**That the reason of this project.**

If you are ready to use a very old version of `kdenlive`, you can use the version probably already
integrated into the repositories of your distribution.

If so, installation is pretty simple:

```bash
sudo apt update && sudo apt install kdenlive
```

However, if you prefer a stable version, you can use the
[Kdenlive Team Repository](https://launchpad.net/~kdenlive/+archive/ubuntu/kdenlive-stable)
and add their PPA to your system:

```bash
sudo add-apt-repository ppa:kdenlive/kdenlive-stable && sudo apt update
```

You will have the folling warning:

> 19.04 is the result of our 3 year long code refactoring, making it much more understandable,
> maintainable and extensible. It is already globally more stable than 16.x-18.x releases, but
> there are still some features missing and less tested areas.

> Unfortunately, the QML parts are not reliable with Qt versions below 5.11, so bionic is out
> of scope (18.04 LTS, basis for several derivatives).

Then to install :

```bash
sudo apt install kdenlive
```
